<form class="{{cssClass}} flexcol" autocomplete="off">
 
    {{!-- NPC Sheet Header --}}
    <header class="sheet-header flexrow">
        <img class="profile" src="{{actor.img}}" title="{{actor.name}}" data-edit="img"/>
 
        <section class="header-details flexrow">
            <h1 class="charname">
                <input name="name" type="text" value="{{actor.name}}" placeholder="{{ localize 'mez5e.Name' }}"/>
            </h1>
 
            <aside class="header-exp flexcol">
                <div class="cr">
                    <label>{{ localize "mez5e.AbbreviationCR" }}</label>
                    <input name="data.details.cr" type="text" value="{{labels.cr}}" placeholder="1"/>
                </div>
                <div class="experience">
                    <span>{{data.details.xp.value}} XP</span>
                </div>
            </aside>
 
            {{!-- Character Summary --}}
            <ul class="summary flexrow">
                <li>
                    <span>{{lookup config.actorSizes data.traits.size}}</span>
                </li>
                <li>
                    <input type="text" name="data.details.alignment" value="{{data.details.alignment}}" placeholder="{{ localize 'mez5e.Alignment' }}"/>
                </li>
                <li>
                    <input type="text" name="data.details.type" value="{{data.details.type}}" placeholder="{{ localize 'mez5e.Type' }}"/>
                </li>
                <li>
                    <input type="text" name="data.details.source" value="{{data.details.source}}" placeholder="{{ localize 'mez5e.Source' }}"/>
                </li>
            </ul>
 
            {{!-- Header Attributes --}}
            <ul class="attributes flexrow">
               <li class="attribute health">
                    <h4 class="attribute-name box-title rollable">{{ localize "mez5e.HitPoints" }}</h4>
                    <div class="attribute-value multiple">
                        <input name="data.attributes.hp.value" type="text" value="{{data.attributes.hp.value}}" placeholder="10" data-dtype="Number"/>
                        <span class="sep"> / </span>
                        <input name="data.attributes.hp.max" type="text" value="{{data.attributes.hp.max}}" placeholder="10" data-dtype="Number"/>
                    </div>
                    <footer class="attribute-footer">
                        <input name="data.attributes.hp.formula" class="hpformula" type="text" placeholder="{{ localize 'mez5e.HPFormula' }}"
                               value="{{data.attributes.hp.formula}}"/>
                    </footer>
                </li>
 
                <li class="attribute">
                    <h4 class="attribute-name box-title">{{ localize "mez5e.ArmorClass" }}</h4>
                    <div class="attribute-value">
                        <input name="data.attributes.ac.value" type="number" value="{{data.attributes.ac.value}}" placeholder="10"/>
                    </div>
                    <footer class="attribute-footer">
                        <span>{{ localize "mez5e.Proficiency" }}</span>
                        <span>{{numberFormat data.attributes.prof decimals=0 sign=true}}</span>
                    </footer>
                </li>
 
                <li class="attribute movement">
                    <h4 class="attribute-name box-title">
                        {{ localize "mez5e.Movement" }}
                        <a class="config-button" data-action="movement" title="{{localize 'mez5e.MovementConfig'}}"><i class="fas fa-cog"></i></a>
                    </h4>
                    <div class="attribute-value">
                        <span>{{movement.primary}}</span>
                    </div>
                    <footer class="attribute-footer">
                        <span>{{movement.special}}</span>
                    </footer>
                </li>
            </ul>
        </section>
    </header>
 
    {{!-- NPC Sheet Navigation --}}
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="attributes">{{ localize "mez5e.Attributes" }}</a>
        <a class="item" data-tab="features">{{ localize "mez5e.Features" }}</a>
        <a class="item" data-tab="spellbook">{{ localize "mez5e.Spellbook" }}</a>
        <a class="item" data-tab="effects">{{ localize "mez5e.Effects" }}</a>
        <a class="item" data-tab="biography">{{ localize "mez5e.Biography" }}</a>
    </nav>
 
    {{!-- NPC Sheet Body --}}
    <section class="sheet-body">
        <div class="tab attributes flexrow" data-group="primary" data-tab="attributes">
 
            {{!-- Ability Scores --}}
            <ul class="ability-scores flexrow">
            {{#each data.abilities as |ability id|}}
                <li class="ability {{#if ability.proficient}}proficient{{/if}}" data-ability="{{id}}">
                    <h4 class="ability-name box-title rollable">{{ability.label}}</h4>
                    <input class="ability-score" name="data.abilities.{{id}}.value" type="number" value="{{ability.value}}" placeholder="10"/>
                    <div class="ability-modifiers flexrow">
                        <span class="ability-mod" title="Modifier">{{numberFormat ability.mod decimals=0 sign=true}}</span>
                        <input type="hidden" name="data.abilities.{{id}}.proficient" value="{{ability.proficient}}" data-dtype="Number"/>
                        <a class="proficiency-toggle ability-proficiency" title="{{ localize 'mez5e.Proficiency' }}">{{{ability.icon}}}</a>
                        <span class="ability-save" title="Saving Throw">{{numberFormat ability.save decimals=0 sign=true}}</span>
                    </div>
                </li>
            {{/each}}
            </ul>
 
            {{!-- Skills --}}
            <ul class="skills-list">
            {{#each data.skills as |skill s|}}
                <li class="skill flexrow {{#if skill.value}}proficient{{/if}}" data-skill="{{s}}">
                    <input type="hidden" name="data.skills.{{s}}.value" value="{{skill.value}}" data-dtype="Number"/>
                    <a class="proficiency-toggle skill-proficiency" title="{{skill.hover}}">{{{skill.icon}}}</a>
                    <h4 class="skill-name rollable">{{skill.label}}</h4>
                    <span class="skill-ability">{{skill.ability}}</span>
                    <span class="skill-mod">{{numberFormat skill.total decimals=0 sign=true}}</span>
                    <span class="skill-passive">({{skill.passive}})</span>
                </li>
            {{/each}}
            </ul>
 
            <section class="center-pane flexcol">
 
                {{!-- Legendary Actions --}}
                <div class="counters">
                    <div class="counter flexrow legendary">
                        <h4>{{ localize "mez5e.LegAct" }}</h4>
                        <div class="counter-value">
                            <input name="data.resources.legact.value" type="number" value="{{data.resources.legact.value}}" placeholder="0"/>
                            <span class="sep">/</span>
                            <input name="data.resources.legact.max" type="number" value="{{data.resources.legact.max}}" placeholder="0"/>
                        </div>
                    </div>
                    <div class="counter flexrow legendary">
                        <h4>{{ localize "mez5e.LegRes" }}</h4>
                        <div class="counter-value">
                            <input name="data.resources.legres.value" type="number" value="{{data.resources.legres.value}}" placeholder="0"/>
                            <span class="sep">/</span>
                            <input name="data.resources.legres.max" type="number" value="{{data.resources.legres.max}}" placeholder="0"/>
                        </div>
                    </div>
                    <div class="counter flexrow lair">
                        <h4>{{ localize "mez5e.LairAct" }}</h4>
                        <div class="counter-value">
                            <input name="data.resources.lair.value" type="checkbox" value="{{data.resources.lair.value}}"
                                   data-dtype="Boolean" {{checked data.resources.lair.value}}/>
                            <input name="data.resources.lair.initiative" type="number" value="{{data.resources.lair.initiative}}" placeholder="20"/>
                        </div>
                    </div>
                </div>
 
                {{!-- Traits --}}
                {{> "systems/mez5e/templates/actors/parts/actor-traits.html"}}
            </section>
        </div>
 
        {{!-- Features Tab --}}
        <div class="tab features flexcol" data-group="primary" data-tab="features">
            {{> "systems/mez5e/templates/actors/parts/actor-features.html" sections=features}}
        </div>
 
        {{!-- Spellbook Tab --}}
        <div class="tab spellbook flexcol" data-group="primary" data-tab="spellbook">
            {{> "systems/mez5e/templates/actors/parts/actor-spellbook.html"}}
        </div>
 
        {{!-- Effects Tab --}}
        <div class="tab effects flexcol" data-group="primary" data-tab="effects">
            {{> "systems/mez5e/templates/actors/parts/active-effects.html"}}
        </div>
 
        {{!-- Biography Tab --}}
        <div class="tab biography flexcol" data-group="primary" data-tab="biography">
            {{editor content=data.details.biography.value target="data.details.biography.value" button=true owner=owner editable=editable}}
        </div>
    </section>
</form>
 

